$(document).ready(function () {
  //alert('hai');
  $("#getweightbutton").click(function () {
    var query = 1;
    $.ajax({
      url: "ajaxpath/search.php",
      method: "POST",
      data: { query: query },
      success: function (data) {
        $("#getweightadd").val("");
        $("#getweightadd").val(data);

        if (data == "") {
          $(".alerterror").click();
          $("#getweightadd").prop("disabled", false);
        } else {
          $("#firstbutadd").prop("disabled", false);
        }
      },
    });
  });
});

$(document).ready(function () {
  //alert('hai');
  $(".weightbuttonedit").click(function () {
    var oldcode = $(this).closest(".row").find(".ticketforedit").val();
    //alert(oldcode);
    var query = 1;
    $.ajax({
      url: "ajaxpath/search.php",
      method: "POST",
      data: { query: query },
      success: function (data) {
        $(".weightedit" + oldcode).val("");
        $(".weightedit" + oldcode).val(data);
        emptyvehiclesprocess1();
        chkempty = $("#getweightadd").val();
        if ($.isNumeric(chkempty)) {
          $("#form1").submit();
        } else {
          alert("Check Weight Machine Connection");
          $("#getweightbutton").focus();
          return false;
        }
      },
    });
  });
});
$(document).ready(function () {
  $("#ticketFetch").keyup(function (e) {
    var tkt = $("#ticketFetch").val();
    var print = $("#print").html();
    var edit = $("#edit").html();
    // alert(print);
    if (e.keyCode == 13) {
      $.ajax({
        type: "POST",
        dataType: "json",
        url: "ajaxpath/tktfetchfrst.php",
        data: { tkt: tkt },
        success: function (data) {
          console.log(typeof data);
          console.log(data);
          $("#tableTbody").html("");
          data.map((data) => {
            tablerow = `<td>1</td>
            <td>${data.ticket}</td>
        <td>${data.vehicleno}</td>
        <td>${data.cusname}</td>
        <td>${data.weight}</td>
        ${
          print == 1
            ? `<td><a href="billslipfirst.php?print=${data.ticket} " target="_blank"><i class="fas fa-print"></i></a></td>`
            : ""
        }
        ${
          edit == 1
            ? `<td><a href="firsttransedit.php?edit=${data.ticket}"><i class="fas fa-edit edit"></i></a></td>`
            : ""
        }    `;
          });
          $("#tableTbody").append(tablerow);
        },
      });
    }
  });
});
// $(document).ready(function(){
// $("#ticketselect").on('change',function(){
// var ticket = $(this).val();
// // ajax for vehicle
// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttransvehno.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#vehicleno").val(a);
//       //alert(a);

//    }
//                 });
//                 // ajax for vehicle end
//                 // ajax for totaldiv
// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttrans_customer.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#customeradd").val(a);
//       //alert(a);

//    }
//                 });
//                 // ajax for totaldiv
//                  // ajax for totaldiv
// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttrans_customername.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#customername").val(a);
//       //alert(a);

//    }
//                 });
//                 // ajax for totaldiv

//                 // ajax for vehiclename
// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttrans_vehiclename.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#vehiclenameadd").val(a);
//       //alert(a);

//    }
//                 });
//                 // ajax for vehiclename
//                  // ajax for productname
// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttrans_productname.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#productname").val(a);
//      // alert(a);

//    }
//                 });
//                 // ajax for productname
//                  // ajax for productcode
// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttrans_productcode.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#productadd").val(a);
//      // alert(a);

//    }
//                 });
//                 // ajax for productname
//                 // ajax for weiugthname
// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttrans_weight.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#weightadd").val(a);
//       //alert(a);

//    }
//                 });
//                 // ajax for weigthname
//                  // ajax for product
// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttrans_productname.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#productadd").html(a);
//      // alert(a);

//    }
//                 });
//                  // ajax for product
//                 // ajax for estimated quantity

// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttrans_estqty.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#estqtyadd").val(a);
//       //alert(a);

//    }
//                 });
//                  // ajax for estimated quantity
//                    // ajax for tripsheet
// $.ajax({
//     type:'POST',
//     url:'ajaxpath/firsttrans_tripsheet.php',
//     data:{ticket:ticket},
//     success:function(a){
//     //  alert(a);
//      // $("#showquantity-with-color").css("display","block");
//       $("#tripsheetadd").val(a);
//       //alert(a);
//       $("#remarkadd").css("border","1px solid red");
//       $("#getweightadd").css("border","1px solid red");
//       $("#remarkadd").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");
//       $("#getweightadd").css("box-shadow","2px 1px 3px 1px rgba(241, 70, 70, 0.979)");

//    }
//                 });
//                 // ajax for tripsheet
// });
// //query to color
// $("#getweightadd").focus(function(){
//  $(this).css("border","1px solid skyblue");
//  $(this).css("box-shadow","2px 1px 3px 1px skyblue")

// });
// $("#remarkadd").focus(function(){
//     $(this).css("border","1px solid skyblue");
//     $(this).css("box-shadow","2px 1px 3px 1px skyblue")

//    });
//    //queryt to color
//    //query to add weight

// });
